%define module	Class-Trigger
%define name	perl-%{module}
%define version 0.10
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mixin to add / call inheritable triggers
License:	GPL or Artistic
Group:		Development/Perl
source:		http://search.cpan.org/dist/M/MI/MIYAGAWA/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
Class::Trigger is a mixin class to add / call triggers (or hooks)
that get called at some points you specify.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10
- spec rewrite

* Thu Mar 17 2005 Bruno Cornec <bcornec@mandrakesoft.org> 0.09-1mdk
- Initial build.
